singularity(1)

NAME

singularity-verify - Verify digital signature(s) within an image

SYNOPSIS

singularity verify [verify options...]

DESCRIPTION

The verify command allows a user to verify one or more digital signatures
  within a SIF image.

Key material can be provided via PEM-encoded file, or via the PGP keyring. To
  manage the PGP keyring, see 'singularity help key'.

OPTIONS

-a, --all[=false]
    verify all objects

--certificate=""
    path to the certificate

--certificate-intermediates=""
    path to pool of intermediate certificates

--certificate-roots=""
    path to pool of root certificates

-g, --group-id=0
    verify objects with the specified group ID

-h, --help[=false]
    help for verify

-j, --json[=false]
    output json

--key=""
    path to the public key file

--legacy-insecure[=false]
    enable verification of (insecure) legacy signatures

-l, --local[=false]
    only verify with local key(s) in keyring

--ocsp-verify[=false]
    enable online revocation check for certificates

-i, --sif-id=0
    verify object with the specified ID

-u, --url=""
    specify a URL for a key server

EXAMPLE

      Verify with a public key:
      $ singularity verify --key public.pem container.sif

      Verify with PGP:
      $ singularity verify container.sif

SEE ALSO

singularity(1)

HISTORY

21-Jul-2025 Auto generated by spf13/cobra